Bug Hunting Session
Bug 119883 - Migration dialog closing LibreOffice if a table has been copied previously
Summary: Migration dialog closing LibreOffice if a table has been copied previously
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Database-Firebird-Migration
  Show dependency treegraph
 
Reported: 2018-09-14 15:45 UTC by Xisco Faulí
Modified: 2019-09-18 02:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Video demostrating the issue (664.31 KB, video/mp4)
2018-09-17 08:54 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-09-14 15:45:10 UTC
Steps to reproduce:
1. Open a HSQLDB file ( e.g. attachment 141727 [details] )
2. Go to table and say Later to the migration dialog
3. Right click on the table - Copy
4. Close LibreOffice

-> The migration dialog is displayed

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 4e5f89d2d3511b6421b388ecaba2f61ada14d084
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 1 Xisco Faulí 2018-09-14 15:57:30 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1c5c9b84df270e41c68e68bb69fbf183fc20eed2

author	Tamas Bunth <tamas.bunth@collabora.co.uk>	2018-04-23 22:05:55 +0200
committer	Tamás Bunth <btomi96@gmail.com>	2018-05-05 11:10:07 +0200
commit	1c5c9b84df270e41c68e68bb69fbf183fc20eed2 (patch)
tree	10a9dd4f2888224dd776a8ed4703e5fd91f201e4 /dbaccess/source/core/dataaccess/datasource.cxx
parent	60413c9800c27f53c1108015b50754b065bc98c6 (diff)
Refactor: migration warn dlg without modifying API

Bisected with: bibisect-linux64-6.1

Adding Cc: to Tamas Bunth
Comment 2 Drew Jensen 2018-09-14 18:40:53 UTC
So, using Ubuntu 18.04 and LbreOffice 6.1.1.1 and 6.2Alpha 
Just copy of the table to the clipboard does not display the migration dialog.
I'm assuming there is another step here:

4. Close the Base file
5. Paste the data from the table into another document.

This triggers the migration assistant another time; 

While:

4. Leave the Base file open
5. Paste data from table into another document

does not trigger the migration assistant dialog again.
Comment 3 Xisco Faulí 2018-09-17 08:54:14 UTC
Created attachment 144929 [details]
Video demostrating the issue
Comment 4 Drew Jensen 2018-09-17 12:45:04 UTC
(In reply to Xisco Faulí from comment #3)
> Created attachment 144929 [details]
> Video demostrating the issue

Well, I was not able to reproduce that using Linux.
Comment 5 QA Administrators 2019-09-18 02:52:40 UTC
Dear Xisco Faulí,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug